#include "Vram.h"
#include "Chars.h"

extern byte[] MonoPattern, ColorPattern;

void InitVram()
{
    ClearScreen();
    MakePatternMono(Char_Ascii, MonoPattern, 0x40, 7);
    MakePatternMono(Char_Wall, MonoPattern + Char_Wall * CharHeight, 1, 5);
    MakePatternColor(Char_Knife, ColorPattern, Char_End - Char_Knife);
    InitOffscreen();
}


word PrintC(word vram, byte c)
{
    return Put(vram, c - ' ');
}


word Put2C(word vram, byte c)
{
    repeat (2) {
        repeat (2) {
            vram = Put(vram, c);
            ++c;
        }
        vram += VramRowSize - 2 * VramStep;
    }
    return vram + 2 * VramStep - VramRowSize * 2;
}


word Erase2(word vram)
{
    repeat (2) {
        repeat (2) {
            vram = Put(vram, Char_Space);
        }
        vram += VramRowSize - 2 * VramStep;
    }
    return vram + 2 * VramStep - VramRowSize * 2;
}


// void Put2S(word vram, ptr<byte> pChars)
// {
//     repeat (2) {
//         repeat (2) {
//             vram = Put(vram, *pChars);
//             ++pChars;
//         }
//         vram += VramRowSize - 2 * VramStep;
//     }
// }
